Module org.jfree.chart3d
Package org.jfree.chart3d.graphics2d

# Enum Class Scale2D

java.lang.Object
java.lang.Enum<Scale2D>
org.jfree.chart3d.graphics2d.Scale2D

All Implemented Interfaces:
  `Serializable`, `Comparable<Scale2D>`, `Constable`

public enum Scale2D extends Enum<Scale2D>
Scaling options for fitting rectangles.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NONE`
No scaling.
`SCALE_BOTH`
Scale both horizontally and vertically.
`SCALE_HORIZONTAL`
Scale horizontally (but not vertically).
`SCALE_VERTICAL`
Scale vertically (but not horizontally).

## Method Summary

Modifier and Type
Method
Description
`static Scale2D`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Scale2D[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final Scale2D NONE
No scaling.

### SCALE_HORIZONTAL

public static final Scale2D SCALE_HORIZONTAL
Scale horizontally (but not vertically).

### SCALE_VERTICAL

public static final Scale2D SCALE_VERTICAL
Scale vertically (but not horizontally).

### SCALE_BOTH

public static final Scale2D SCALE_BOTH
Scale both horizontally and vertically.

## Method Details

### values

public static Scale2D[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Scale2D valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null